Package org.apache.commons.imaging.formats.tiff.write

# Class TiffOutputSet

java.lang.Object
org.apache.commons.imaging.formats.tiff.write.TiffOutputSet

All Implemented Interfaces:
  `Iterable<TiffOutputDirectory>`

public final class TiffOutputSet extends Object implements Iterable<TiffOutputDirectory>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final ByteOrder`
  `byteOrder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TiffOutputSet()`
  `TiffOutputSet(ByteOrder byteOrder)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDirectory(TiffOutputDirectory directory)`
  `TiffOutputDirectory`
  `addExifDirectory()`
  `TiffOutputDirectory`
  `addGpsDirectory()`
  `TiffOutputDirectory`
  `addInteroperabilityDirectory()`
  `TiffOutputDirectory`
  `addRootDirectory()`
  `void`
  `dump()`
  `TiffOutputDirectory`
  `findDirectory(int directoryType)`
  `TiffOutputField`
  `findField(int tag)`
  `TiffOutputField`
  `findField(TagInfo tagInfo)`
  `List<TiffOutputDirectory>`
  `getDirectories()`
  `TiffOutputDirectory`
  `getExifDirectory()`
  `TiffOutputDirectory`
  `getGpsDirectory()`
  `TiffOutputDirectory`
  `getInteroperabilityDirectory()`
  `TiffOutputDirectory`
  `getOrCreateExifDirectory()`
  `TiffOutputDirectory`
  `getOrCreateGpsDirectory()`
  `TiffOutputDirectory`
  `getOrCreateRootDirectory()`
  `protected List<org.apache.commons.imaging.formats.tiff.write.AbstractTiffOutputItem>`
  `getOutputItems(org.apache.commons.imaging.formats.tiff.write.TiffOutputSummary outputSummary)`
  `TiffOutputDirectory`
  `getRootDirectory()`
  `boolean`
  `isEmpty()`
  `Iterator<TiffOutputDirectory>`
  `iterator()`
  `void`
  `removeField(int tag)`
  `void`
  `removeField(TagInfo tagInfo)`
  `void`
  `setGpsInDegrees(double longitude, double latitude)`
  A convenience method to update GPS values in EXIF metadata.
  `String`
  `toString()`
  `String`
  `toString(String prefix)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Field Details

  - ### byteOrder

    public final ByteOrder byteOrder

- ## Constructor Details

  - ### TiffOutputSet

    public TiffOutputSet()

  - ### TiffOutputSet

    public TiffOutputSet(ByteOrder byteOrder)

- ## Method Details

  - ### addDirectory

    public void addDirectory(TiffOutputDirectory directory) throws ImagingException
    Throws:
      `ImagingException`

  - ### addExifDirectory

    public TiffOutputDirectory addExifDirectory() throws ImagingException
    Throws:
      `ImagingException`

  - ### addGpsDirectory

    public TiffOutputDirectory addGpsDirectory() throws ImagingException
    Throws:
      `ImagingException`

  - ### addInteroperabilityDirectory

    public TiffOutputDirectory addInteroperabilityDirectory() throws ImagingException
    Throws:
      `ImagingException`

  - ### addRootDirectory

    public TiffOutputDirectory addRootDirectory() throws ImagingException
    Throws:
      `ImagingException`

  - ### dump

    public void dump()

  - ### findDirectory

    public TiffOutputDirectory findDirectory(int directoryType)

  - ### findField

    public TiffOutputField findField(int tag)

  - ### findField

    public TiffOutputField findField(TagInfo tagInfo)

  - ### getDirectories

    public List<TiffOutputDirectory> getDirectories()

  - ### getExifDirectory

    public TiffOutputDirectory getExifDirectory()

  - ### getGpsDirectory

    public TiffOutputDirectory getGpsDirectory()

  - ### getInteroperabilityDirectory

    public TiffOutputDirectory getInteroperabilityDirectory()

  - ### getOrCreateExifDirectory

    public TiffOutputDirectory getOrCreateExifDirectory() throws ImagingException
    Throws:
      `ImagingException`

  - ### getOrCreateGpsDirectory

    public TiffOutputDirectory getOrCreateGpsDirectory() throws ImagingException
    Throws:
      `ImagingException`

  - ### getOrCreateRootDirectory

    public TiffOutputDirectory getOrCreateRootDirectory() throws ImagingException
    Throws:
      `ImagingException`

  - ### getOutputItems

    protected List<org.apache.commons.imaging.formats.tiff.write.AbstractTiffOutputItem> getOutputItems(org.apache.commons.imaging.formats.tiff.write.TiffOutputSummary outputSummary) throws ImagingException
    Throws:
      `ImagingException`

  - ### getRootDirectory

    public TiffOutputDirectory getRootDirectory()

  - ### isEmpty

    public boolean isEmpty()

  - ### iterator

    public Iterator<TiffOutputDirectory> iterator()
    Specified by:
      `iterator` in interface `Iterable<TiffOutputDirectory>`

  - ### removeField

    public void removeField(int tag)

  - ### removeField

    public void removeField(TagInfo tagInfo)

  - ### setGpsInDegrees

    public void setGpsInDegrees(double longitude, double latitude) throws ImagingException
    A convenience method to update GPS values in EXIF metadata.
    Parameters:
      `longitude` - Longitude in degrees E, negative values are W.
      `latitude` - latitude in degrees N, negative values are S.
    Throws:
      `ImagingException` - if it fails to write the new data to the GPS directory

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toString

    public String toString(String prefix)